GNU bug report logs - #57960
[PATCH core-updates] gnu: libxkbcommon: Switch to gexp; adjust style.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Felix Lechner <felix.lechner@HIDDEN>; Keywords: patch; dated Tue, 20 Sep 2022 19:25:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 57960 <at> debbugs.gnu.org:


Received: (at 57960) by debbugs.gnu.org; 21 Sep 2022 11:29:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 07:29:12 2022
Received: from localhost ([127.0.0.1]:60883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaxui-0006Ku-4e
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 07:29:12 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:7935)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oaxuf-0006Ki-D3
 for 57960 <at> debbugs.gnu.org; Wed, 21 Sep 2022 07:29:10 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4MXblZ09JXz3wch;
 Wed, 21 Sep 2022 13:28:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1663759738;
 bh=WGOxruBpyvRqniNu+yrI6QgVMSzYzYLFtjvbgj1DtAA=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=JD4mWiE3vDsN7Lws/PBKhMVIz4f//XYtYFqai0fJ6gBGy/NxGdYqWLU0Xvb6xHzbY
 /S4XJrhwmMpZiYqgpISW6MUYvKCTFAmwEtVQYa+0gz9oLZVHBTTfYCLyKPh0NBwAvQ
 8oLCcZw2lWQ05/C2QN947amxZs8pUUpxTv2XLH6E=
Message-ID: <455b0e4141d6b8bfbc437044e9cb853327253b16.camel@HIDDEN>
Subject: Re: [PATCH core-updates] gnu: libxkbcommon: Switch to gexp; adjust
 style.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Felix Lechner <felix.lechner@HIDDEN>, 57960 <at> debbugs.gnu.org
Date: Wed, 21 Sep 2022 13:28:57 +0200
In-Reply-To: <CAFHYt54G2qxJ+uOeYwQFxpYM4DRswGqwh0X3-C3X0W9GeJ9pnQ@HIDDEN>
References: <CAFHYt55gav8sDkg=m-S57TKwNaBVRumnwsj0XXt1KMT5iLPNtA@HIDDEN>
 <e4ccf0dacc92cf133c2df88f79c8244522a5440e.camel@HIDDEN>
 <CAFHYt54G2qxJ+uOeYwQFxpYM4DRswGqwh0X3-C3X0W9GeJ9pnQ@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.45.3 
MIME-Version: 1.0
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -0.4
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57960
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Mittwoch, dem 21.09.2022 um 03:16 -0700 schrieb Felix Lechner:
> Hi,
>=20
> On Wed, Sep 21, 2022 at 2:03 AM Liliana Marie Prikler
> <liliana.prikler@HIDDEN> wrote:
> >=20
> > Try to avoid mixing cosmetic and non-cosmetic changes.
>=20
> Thanks for the suggestion! I did last time [1] but the core-updates
> maintainer seemed to prefer otherwise. [2]
I don't think this was a preference; rather a workaround for some issue
arising in the git workflow (which can happen).

> In addition, I was not sure whether to use the formatter from the
> 'master' branch or from 'core-updates', or whether it made a
> difference.
The answer is "don't change surrounding code", which holds regardless
of the formatter you choose.  I do believe the one on master would be
updated more often, though.

> As a side note, my position is that 'guix style' should be applied to
> the code base whenever the formatter is changed, and not when
> functional changes are being submitted by individual contributors.
I disagree on the basis that the styler is very much not perfect yet
and still causes more issues than not on almost every patch I've so far
reviewed.  There's unfortunately a long way to go before we can mandate
code style.=20

> > the formatter isn't doing the best job here.
>=20
> Do I have a choice? I believe there is a requirement to run 'guix
> style' when submitting patches. [3]
>=20
> [3]
> https://guix.gnu.org/en/manual/devel/en/html_node/Submitting-Patches.html
Most reviewers, myself included, would rather prefer you simply mark
the region/package with Emacs and hit TAB.  However, not all packagers
prefer writing their code in Emacs, hence we tell them to use this
tool, which captures the letter, but sadly not the essence, of the
Scheme coding style.

Cheers
>=20




Information forwarded to guix-patches@HIDDEN:
bug#57960; Package guix-patches. Full text available.

Message received at 57960 <at> debbugs.gnu.org:


Received: (at 57960) by debbugs.gnu.org; 21 Sep 2022 10:17:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 06:17:13 2022
Received: from localhost ([127.0.0.1]:60766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oawn2-000258-Rm
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 06:17:13 -0400
Received: from linode.us-core.com ([23.239.4.72]:43760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <felix.lechner@HIDDEN>) id 1oawmz-00024y-P1
 for 57960 <at> debbugs.gnu.org; Wed, 21 Sep 2022 06:17:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=2017; bh=NbeAQA4EuSLQI9f
 E+Fdw++MyDPQ7q8ovnedIBkhjqH4=;
 h=cc:to:subject:date:from:in-reply-to:
 references; d=lease-up.com; b=pIXAHP0+CmGxTKcetUuLngBbBuGzpZcCL8EfoFLf
 QA7xXRmIOquds/KdKdCiG39JflhpTqEkcwh9Udhy9mazMaYoG46LVF4iqiPCgMdIZ9uHKf
 KRgTcrkakRHmd3rp7Rj6rsyjp4nNN5uNyRAL3A3+DSfIf1My2zPwpVMXsZ4So=
Received: by localhost (OpenSMTPD) with ESMTPSA id 3afcc003
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO) for <57960 <at> debbugs.gnu.org>;
 Wed, 21 Sep 2022 10:17:08 +0000 (UTC)
Received: by mail-lf1-f44.google.com with SMTP id j16so8412563lfg.1
 for <57960 <at> debbugs.gnu.org>; Wed, 21 Sep 2022 03:17:07 -0700 (PDT)
X-Gm-Message-State: ACrzQf1MZZnHXAy3k34VeqCcpI+gq11e2UMDltETPiRSPCJ8M1joWhY5
 qCFxQX9CllhnrINntekNjroLuWyuLH1kddPlSW4=
X-Google-Smtp-Source: AMsMyM4JmMn2Puds/4KQXYqVvWA5VxBvEseznJac/nvyt4izjMjzs9y9MX8PcUxGUKppIAqsnh8y9BmLKW/YMIav4QE=
X-Received: by 2002:a05:6512:3d2a:b0:49a:92d:cddd with SMTP id
 d42-20020a0565123d2a00b0049a092dcdddmr10081791lfv.590.1663755426094; Wed, 21
 Sep 2022 03:17:06 -0700 (PDT)
MIME-Version: 1.0
References: <CAFHYt55gav8sDkg=m-S57TKwNaBVRumnwsj0XXt1KMT5iLPNtA@HIDDEN>
 <e4ccf0dacc92cf133c2df88f79c8244522a5440e.camel@HIDDEN>
In-Reply-To: <e4ccf0dacc92cf133c2df88f79c8244522a5440e.camel@HIDDEN>
From: Felix Lechner <felix.lechner@HIDDEN>
Date: Wed, 21 Sep 2022 03:16:29 -0700
X-Gmail-Original-Message-ID: <CAFHYt54G2qxJ+uOeYwQFxpYM4DRswGqwh0X3-C3X0W9GeJ9pnQ@HIDDEN>
Message-ID: <CAFHYt54G2qxJ+uOeYwQFxpYM4DRswGqwh0X3-C3X0W9GeJ9pnQ@HIDDEN>
Subject: Re: [PATCH core-updates] gnu: libxkbcommon: Switch to gexp;
 adjust style.
To: 57960 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary="0000000000002af71805e92d3f4a"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57960
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000002af71805e92d3f4a
Content-Type: text/plain; charset="UTF-8"

Hi,

On Wed, Sep 21, 2022 at 2:03 AM Liliana Marie Prikler
<liliana.prikler@HIDDEN> wrote:
>
> Try to avoid mixing cosmetic and non-cosmetic changes.

Thanks for the suggestion! I did last time [1] but the core-updates
maintainer seemed to prefer otherwise. [2]

In addition, I was not sure whether to use the formatter from the
'master' branch or from 'core-updates', or whether it made a
difference.

A patch without 'guix style' is attached to this message.

As a side note, my position is that 'guix style' should be applied to
the code base whenever the formatter is changed, and not when
functional changes are being submitted by individual contributors.

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57872#5
[2] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57872#10

> the formatter isn't doing the best job here.

Do I have a choice? I believe there is a requirement to run 'guix
style' when submitting patches. [3]

[3] https://guix.gnu.org/en/manual/devel/en/html_node/Submitting-Patches.html

> This change is unnecessary.

I respectfully agree. The formatter made that change, too.

Kind regards
Felix Lechner

--0000000000002af71805e92d3f4a
Content-Type: application/x-patch; 
	name="0001-gnu-libxkbcommon-Switch-to-gexp-avoid-hardcoding-inp.patch"
Content-Disposition: attachment; 
	filename="0001-gnu-libxkbcommon-Switch-to-gexp-avoid-hardcoding-inp.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_l8bgvtrk0>
X-Attachment-Id: f_l8bgvtrk0
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--0000000000002af71805e92d3f4a--




Information forwarded to guix-patches@HIDDEN:
bug#57960; Package guix-patches. Full text available.

Message received at 57960 <at> debbugs.gnu.org:


Received: (at 57960) by debbugs.gnu.org; 21 Sep 2022 09:03:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 05:03:31 2022
Received: from localhost ([127.0.0.1]:60648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oavdj-0006QC-Bi
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 05:03:31 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:7549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oavde-0006Pw-6r
 for 57960 <at> debbugs.gnu.org; Wed, 21 Sep 2022 05:03:29 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4MXXWZ36x0z3wV6;
 Wed, 21 Sep 2022 11:03:20 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1663751002;
 bh=FTr8D1cxlfElPIZkw2MPT9UfM0CkYYfTzkhc/sss5Ag=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=ibXgdojtamtqNGgo38JXHjTp0W5IPEM/jLmWm0SDBhIwSvOqaGg+bCNs/xlOD48Bz
 HROMyu+ZNaZbsx775WxYSmUMu/LlUKMUi0xm/DdFWsqLkiibCL0lPSKxJzvdVIrPVZ
 Kc5erN+D3kJ9YlcSZDOvnBwUHRidGycMTlpCqaGs=
Message-ID: <e4ccf0dacc92cf133c2df88f79c8244522a5440e.camel@HIDDEN>
Subject: Re: [PATCH core-updates] gnu: libxkbcommon: Switch to gexp; adjust
 style.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Felix Lechner <felix.lechner@HIDDEN>, 57960 <at> debbugs.gnu.org
Date: Wed, 21 Sep 2022 11:03:15 +0200
In-Reply-To: <CAFHYt55gav8sDkg=m-S57TKwNaBVRumnwsj0XXt1KMT5iLPNtA@HIDDEN>
References: <CAFHYt55gav8sDkg=m-S57TKwNaBVRumnwsj0XXt1KMT5iLPNtA@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.45.3 
MIME-Version: 1.0
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -0.4
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57960
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Dienstag, dem 20.09.2022 um 12:23 -0700 schrieb Felix Lechner:

> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://xkbcommon.org/download/libxkbcommon-"
> version
> +                    ".tar.xz"))


> -    (inputs
> -     (list libx11
> -           libxcb
> -           libxml2
> -           wayland
> -           wayland-protocols
> -           xkeyboard-config))
> -    (native-inputs
> -     (list bison doxygen pkg-config python))
> +    (inputs (list libx11
> +                  libxcb
> +                  libxml2
> +                  wayland
> +                  wayland-protocols
> +                  xkeyboard-config))
> +    (native-inputs (list bison doxygen pkg-config python))
Try to avoid mixing cosmetic and non-cosmetic changes.

> +     (list #:configure-flags #~(list (string-append "-Dxkb-config-
> root=3D"
> +                                                    (search-input-
> directory
> +                                                     %build-inputs
> +                                                   =20
> "share/X11/xkb"))
> +                                     (string-append "-Dx-locale-
> root=3D"
> +                                                    (search-input-
> directory
> +                                                     %build-inputs
> +                                                    =20
> "share/X11/locale")))))
I am very sure the formatter isn't doing the best job here.

> -    (description "Xkbcommon is a library to handle keyboard
> descriptions,
> +    (description
> +     "Xkbcommon is a library to handle keyboard descriptions,
This change is unnecessary.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#57960; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Sep 2022 19:24:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 15:24:40 2022
Received: from localhost ([127.0.0.1]:59731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oairI-0008I0-49
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2022 15:24:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:46226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <felix.lechner@HIDDEN>) id 1oairE-0008Hr-K2
 for submit <at> debbugs.gnu.org; Tue, 20 Sep 2022 15:24:38 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46662)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <felix.lechner@HIDDEN>)
 id 1oair3-0001VY-Ss
 for guix-patches@HIDDEN; Tue, 20 Sep 2022 15:24:32 -0400
Received: from linode.us-core.com ([2600:3c01::f03c:93ff:fe26:6229]:60684)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <felix.lechner@HIDDEN>)
 id 1oaiqv-0006CP-SB
 for guix-patches@HIDDEN; Tue, 20 Sep 2022 15:24:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=2017; bh=C5SSe9VxJlOsmqs
 JQNjCJGc9qWn/Hbnnp7QnFcU50D0=; h=to:subject:date:from;
 d=lease-up.com; 
 b=k0afRPn5t63w3KPKM2ksytgaHnUyf2LHP8wxubYbuakUI+HeWF21fS+6qm9w2QB7qQm3
 RgNvwBtafmFcvN9o/Xgmjsi/FV57hJyMtDVA8DS/LysBnoI93SXuvEMJ47Ru/z7CmAJ6w7
 jQBP0K1VWra1cKHYkz4OKoRneU7IS8BHM=
Received: by localhost (OpenSMTPD) with ESMTPSA id 2307f72a
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO) for <guix-patches@HIDDEN>;
 Tue, 20 Sep 2022 19:24:13 +0000 (UTC)
Received: by mail-lj1-f180.google.com with SMTP id s10so4260421ljp.5
 for <guix-patches@HIDDEN>; Tue, 20 Sep 2022 12:24:13 -0700 (PDT)
X-Gm-Message-State: ACrzQf14UwKY2W+6QLrjgbiDZKTthdkBemwomIcj8DrwS0BBpVJMkjwb
 lGJmuKi2ig3HMaejR6qJeGnHLd7k2PYFcF2GKXc=
X-Google-Smtp-Source: AMsMyM4JcKYEeJnja7n6euXWtg1hQ4TV8AMPU5Jl96wztBhkuGShtnZ5CyT3jFgKzZAj9b3FDDqaeZQ1TnWEBoLzVkw=
X-Received: by 2002:a2e:bc09:0:b0:26b:fb61:dd22 with SMTP id
 b9-20020a2ebc09000000b0026bfb61dd22mr7754387ljf.1.1663701851600; Tue, 20 Sep
 2022 12:24:11 -0700 (PDT)
MIME-Version: 1.0
From: Felix Lechner <felix.lechner@HIDDEN>
Date: Tue, 20 Sep 2022 12:23:34 -0700
X-Gmail-Original-Message-ID: <CAFHYt55gav8sDkg=m-S57TKwNaBVRumnwsj0XXt1KMT5iLPNtA@HIDDEN>
Message-ID: <CAFHYt55gav8sDkg=m-S57TKwNaBVRumnwsj0XXt1KMT5iLPNtA@HIDDEN>
Subject: [PATCH core-updates] gnu: libxkbcommon: Switch to gexp; adjust style.
To: guix-patches@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000e0bd8805e920c521"
Received-SPF: pass client-ip=2600:3c01::f03c:93ff:fe26:6229;
 envelope-from=felix.lechner@HIDDEN; helo=linode.us-core.com
X-Spam_score_int: 16
X-Spam_score: 1.6
X-Spam_bar: +
X-Spam_report: (1.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_SBL_CSS=3.335,
 RCVD_IN_XBL=0.375, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, This modernizes the package declaration for libxkbcommon
 by using G-expressions. Also, input folders are found via their expected
 relative paths (i.e. the modern way) instead of the input label. The l [...]
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [2600:3c01:0:0:f03c:93ff:fe26:6229 listed in] [zen.spamhaus.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=felix.lechner%40lease-up.com; ip=209.51.188.17; r=debbugs.gnu.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, This modernizes the package declaration for libxkbcommon
    by using G-expressions. Also, input folders are found via their expected
   relative paths (i.e. the modern way) instead of the input label. The l [...]
    
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [2600:3c01:0:0:f03c:93ff:fe26:6229 listed in]
                             [zen.spamhaus.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=felix.lechner%40lease-up.com;ip=209.51.188.17;r=debbugs.gnu.org]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--000000000000e0bd8805e920c521
Content-Type: text/plain; charset="UTF-8"

Hi,

This modernizes the package declaration for libxkbcommon by using
G-expressions. Also, input folders are found via their expected
relative paths (i.e. the modern way) instead of the input label. The
latter was an issue when the official xkeyboard-config was replaced
with a customized package holding additional keyboard layouts.

Ultimately reaches 3435 packages and thus belongs into core-updates.

Kind regards
Felix Lechner

--000000000000e0bd8805e920c521
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-gnu-libxkbcommon-Switch-to-gexp-adjust-style.patch"
Content-Disposition: attachment; 
	filename="0001-gnu-libxkbcommon-Switch-to-gexp-adjust-style.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_l8akv56p0>
X-Attachment-Id: f_l8akv56p0
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--000000000000e0bd8805e920c521--




Acknowledgement sent to Felix Lechner <felix.lechner@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#57960; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 21 Sep 2022 11:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.